% rwrthom2nextss

function [A,outFlag] = rwrthom2nextss(F,A,in,in2,w,s,wmod,smod,tol,lim,ilim)

% minimum =-4;
% maximum = 4;
% nsteps = 2;
outFlag =0; % The next steady state has not been found
C = simplhom2scan(F,A,in,in2,w,s,tol,lim,ilim);
if isempty(C)==0 && length(C(:,1))>= length(A(:,1))
    A = C;
    outFlag = 1;% The next steady state has been found
else
    C = simplhom2scan(F,A,in,in2,wmod,smod,tol,lim,ilim);% if no C has been created -> try again with a bigger and closer grid of inital values
    if C~=0
        A=C;
        outFlag = 1;% The next steady state has been found
    end
end
